
/*
 * Port number
 */

#define PORTNUMBER	42024

/*
 * Commands
 */

#define COUNT		0	/* only the first packet */
#define AUFGABE		1	/* non-broadcast only    */
#define STATUS		2	/* non-broadcast only    */
#define POLL		3	/* broadcast only        */
#define QUIT		4	/* broadcast only        */
#define NONE		5	/* slave to master       */
#define MULT		6	/* master to slave	 */

/*
 * Replies und Status
 */

#define UNKNOWN		(-1)
#define OK		0
#define IDLE		1	/* doing nothing   */
#define BUSY		2	/* processing      */
#define RESULT		3	/* immediately after a number is sent */
#define DONE		6	/* calc is done, but result not sent */
#define DEAD		7	/* died */

/*
 * Datenstruktur
 */

typedef struct {
    long prozessor; 	/* 0 = broadcast */
    long command;
    long reply;

    long speed;

    struct {
	long anfang;
	long ende;
    } aufgabe;

    struct {
	long bucket;
	long shift;
	long length1;
	long length2;
	long first1;
	long first2;
    } multiply;

    struct {
	long length;
	long first;
	clock_t calctime;
	clock_t waittime;
    } ergebnis;
} comm;
